CoreSystem/coreutils — различия между версиями

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
(Планы)
(Планы)
 
(не показано 18 промежуточных версий 4 участников)
Строка 1: Строка 1:
[[Category:Sisyphus]]
+
== Sisyphus Core — базовые библиотеки и утилиты ==
 
 
== Sisyphus Core - базовые библиотеки и утилиты ==
 
  
 
<onlyinclude>
 
<onlyinclude>
 
=== Планы ===
 
=== Планы ===
  
* [complete] обновление toolchain до gcc-4.3.x/glibc-2.8/binutils-2.18.50.x (wart, ldv)
+
* {{завершено|1|1}} обновление toolchain до {{pkg|gcc-4.3.x/glibc-2.8.90+/binutils-2.18.50.x}} ({{man|ldv}}, {{man|wart}})
* [partially done] перевод всех использующих libdb4 пакетов на libdb4.7 (ldv)
+
* {{завершено|1|1}} обновление {{pkg|autoconf}}/{{pkg|automake}} до свежих версий ({{man|ldv}}, {{man|rider}})
* [complete] обновление autoconf/automake до свежих версий (Rider, ldv)
+
* {{завершено|1|1}} обновление {{pkg|openssl}} до {{pkg|0.9.8h}} ({{man|sin}})
* обновление libtool до 2.2.x (Rider, ldv)
+
* {{завершено|1|1}} возможность задавать лимиты для системных сервисов ({{man|ldv}}, {{man|legion}})
* [complete] обновление openssl до 0.9.8h (sin)
+
* {{завершено|1|1}} обновление {{pkg|libcap}} до {{pkg|2.14+}} ({{man|ldv}})
* [partially done] перевод всех использующих libssl пакетов на libssl7 (sin, ldv)
+
* {{завершено|211|218}} перевод всех использующих {{pkg|libssl}} пакетов на {{pkg|libssl7}} ({{man|sin}}, {{man|ldv}})
* [[http://git.altlinux.org/people/legion/packages/crontabs.git?p=crontabs.git;a=shortlog;h=refs/heads/sysconfig almost done]] Запуск задач cron под ionice и/или nice (ldv, legion).
+
* {{завершено|46|50}} перевод всех использующих {{pkg|libdb4}} пакетов на {{pkg|libdb4.7}} ({{man|ldv}})
 +
* {{завершено|0|0}} исправление сборки основной массы пакетов, пострадавшей после обновления toolchain ({{man|ldv}})
 +
* {{завершено|0|1}} внедрение в {{pkg|shadow-utils}} враппера для использования в %pre- и %post-скриптах ({{man|ldv}})
 +
* {{завершено|0|1}} обновление [http://pkg-shadow.alioth.debian.org shadow-utils] ({{man|ldv}})
 +
* {{завершено|0|1}} [?] обновление {{pkg|libpcap}} до {{pkg|1.0.0+}} ({{man|ldv}})
 +
* {{завершено|0|1}} [?] обновление {{pkg|libtool}} до {{pkg|2.2.x}} ({{man|ldv}}, {{man|rider}})
 
</onlyinclude>
 
</onlyinclude>
 +
 +
 +
{{CoreSystem-nav}}

Текущая версия на 23:23, 2 декабря 2008

Sisyphus Core — базовые библиотеки и утилиты[править]

Планы[править]

  • Symbol support vote.svg завершено обновление toolchain до gcc-4.3.x/glibc-2.8.90+/binutils-2.18.50.x (ldv@, wart@)
  • Symbol support vote.svg завершено обновление autoconf/automake до свежих версий (ldv@, rider@)
  • Symbol support vote.svg завершено обновление openssl до 0.9.8h (sin@)
  • Symbol support vote.svg завершено возможность задавать лимиты для системных сервисов (ldv@, legion@)
  • Symbol support vote.svg завершено обновление libcap до 2.14+ (ldv@)
  • Symbol divide vote.svg 211 из 218 (осталось 7) перевод всех использующих libssl пакетов на libssl7 (sin@, ldv@)
  • Symbol divide vote.svg 46 из 50 (осталось 4) перевод всех использующих libdb4 пакетов на libdb4.7 (ldv@)
  • Symbol oppose vote.svg начато исправление сборки основной массы пакетов, пострадавшей после обновления toolchain (ldv@)
  • Symbol oppose vote.svg начато внедрение в shadow-utils враппера для использования в %pre- и %post-скриптах (ldv@)
  • Symbol oppose vote.svg начато обновление shadow-utils (ldv@)
  • Symbol oppose vote.svg начато [?] обновление libpcap до 1.0.0+ (ldv@)
  • Symbol oppose vote.svg начато [?] обновление libtool до 2.2.x (ldv@, rider@)